## gedit-prefs-manager-app

gedit-prefs-manager-app

## Synopsis

    gboolean            gedit_prefs_manager_app_init        (void);
    void                gedit_prefs_manager_app_shutdown    (void);
    gint                gedit_prefs_manager_get_window_state
                                                            (void);
    void                gedit_prefs_manager_set_window_state
                                                            (gint ws);
    gboolean            gedit_prefs_manager_window_state_can_set
                                                            (void);
    void                gedit_prefs_manager_get_window_size (gint *width,
                                                             gint *height);
    void                gedit_prefs_manager_get_default_window_size
                                                            (gint *width,
                                                             gint *height);
    void                gedit_prefs_manager_set_window_size (gint width,
                                                             gint height);
    gboolean            gedit_prefs_manager_window_size_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_side_panel_size
                                                            (void);
    gint                gedit_prefs_manager_get_default_side_panel_size
                                                            (void);
    void                gedit_prefs_manager_set_side_panel_size
                                                            (gint ps);
    gboolean            gedit_prefs_manager_side_panel_size_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_bottom_panel_size
                                                            (void);
    gint                gedit_prefs_manager_get_default_bottom_panel_size
                                                            (void);
    void                gedit_prefs_manager_set_bottom_panel_size
                                                            (gint ps);
    gboolean            gedit_prefs_manager_bottom_panel_size_can_set
                                                            (void);

## Description

## Details

### gedit_prefs_manager_app_init ()

    gboolean            gedit_prefs_manager_app_init        (void);

Returns : |

### gedit_prefs_manager_app_shutdown ()

    void                gedit_prefs_manager_app_shutdown    (void);

### gedit_prefs_manager_get_window_state ()

    gint                gedit_prefs_manager_get_window_state
                                                            (void);

Returns : |

### gedit_prefs_manager_set_window_state ()

    void                gedit_prefs_manager_set_window_state
                                                            (gint ws);

`ws` : |

### gedit_prefs_manager_window_state_can_set ()

    gboolean            gedit_prefs_manager_window_state_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_window_size ()

    void                gedit_prefs_manager_get_window_size (gint *width,
                                                             gint *height);

`width` : |
`height` : |

### gedit_prefs_manager_get_default_window_size ()

    void                gedit_prefs_manager_get_default_window_size
                                                            (gint *width,
                                                             gint *height);

`width` : |
`height` : |

### gedit_prefs_manager_set_window_size ()

    void                gedit_prefs_manager_set_window_size (gint width,
                                                             gint height);

`width` : |
`height` : |

### gedit_prefs_manager_window_size_can_set ()

    gboolean            gedit_prefs_manager_window_size_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_side_panel_size ()

    gint                gedit_prefs_manager_get_side_panel_size
                                                            (void);

Returns : |

### gedit_prefs_manager_get_default_side_panel_size ()

    gint                gedit_prefs_manager_get_default_side_panel_size
                                                            (void);

Returns : |

### gedit_prefs_manager_set_side_panel_size ()

    void                gedit_prefs_manager_set_side_panel_size
                                                            (gint ps);

`ps` : |

### gedit_prefs_manager_side_panel_size_can_set ()

    gboolean            gedit_prefs_manager_side_panel_size_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_bottom_panel_size ()

    gint                gedit_prefs_manager_get_bottom_panel_size
                                                            (void);

Returns : |

### gedit_prefs_manager_get_default_bottom_panel_size ()

    gint                gedit_prefs_manager_get_default_bottom_panel_size
                                                            (void);

Returns : |

### gedit_prefs_manager_set_bottom_panel_size ()

    void                gedit_prefs_manager_set_bottom_panel_size
                                                            (gint ps);

`ps` : |

### gedit_prefs_manager_bottom_panel_size_can_set ()

    gboolean            gedit_prefs_manager_bottom_panel_size_can_set
                                                            (void);

Returns : |